Users
Create Profile Theme
Creates a profile theme owned by the current user. updateProfile selects it by themeId, and its response lists the user's themes.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/profile/theme" \ -H "Content-Type: application/json" \ -d '{ "buttonColor": "3cc92c", "iconColor": "3cc92c", "name": "string", "subtextColor": "3cc92c" }'{
"buttonColor": "3cc92c",
"iconColor": "3cc92c",
"id": "pft_81bc17ff-82c5-4547-aafc-9ee97c5c79a9",
"name": "string",
"subtextColor": "3cc92c"
}{
"error": {
"message": "imageUrl must be a URL˸ 'string'‚ assetUrl must be a URL˸ 'string'",
"status_code": 400
}
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}